declare var __VLS_7: {}, __VLS_9: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_7) => any;
} & {
    'sub-link'?: (props: typeof __VLS_9) => any;
};
declare const _default: __VLS_WithSlots<import("vue").DefineComponent<{
    title: StringConstructor;
    href: StringConstructor;
}, {
    elRef: import("vue").Ref<any>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    title: StringConstructor;
    href: StringConstructor;
}>>, {}, {}>, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
